## mx4j.tools.adaptor
Interface AdaptorServerSocketFactory

All Known Subinterfaces:
  SSLAdaptorServerSocketFactoryMBean

All Known Implementing Classes:
  PlainAdaptorServerSocketFactory, SSLAdaptorServerSocketFactory

public interface AdaptorServerSocketFactory

The ServerSocket factory interface.

It allows to create ServerSocket for JMX adaptors

Version:
  $Revision: 1.3 $

Method Summary
`java.net.ServerSocket` `createServerSocket(int port, int backlog, java.lang.String host)` Creates a new ServerSocket on the specified port, with the specified backlog and on the given host.

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog,
                                                    java.lang.String host)
                                             throws java.io.IOException

  Creates a new ServerSocket on the specified port, with the specified backlog and on the given host.
  The last parameter is useful for hosts with more than one IP address.

  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.